Subject: Re: [bug#37534] [PATCH] gnu: conky: Activate Pulseaudio support.

From: Dumitrascu Vasile <[email-masked]>
Date: Sat, 28 Sep 2019 09:02:12 +0000 (UTC)

Hi Tobias
Thank you for the review and sorry to have missed the sorting.
I have re-attached the original patch as a file to this email, as I guess the encoding issues were caused by git send-mail.
  Thank you again,    Vasile

    On Saturday, September 28, 2019, 12:50:15 AM GMT+2, Tobias Geerinckx-Rice <[email-masked]> wrote:  
 
 Vasile,

Vasile Dumitrascu via Guix-patches via 写道：
> --- a/gnu/packages/conky.scm
> +++ b/gnu/packages/conky.scm
> @@ -2,6 +2,7 @@
>  ;;; Copyright ?? 2015 Sini??a Bi??in <[email-masked]>
>  ;;; Copyright ?? 2018, 2019 Tobias Geerinckx-Rice 
>  <[email-masked]>
>  ;;; Copyright ?? 2019 Pierre Neidhardt <[email-masked]>
> +;;; Copyright ?? 2019 Vasile Dumitrascu <[email-masked]>

Does this show up as corrupted in your mailbox as well?  (‘??’ 
instead of ‘©’.)

> @@ -76,6 +79,7 @@
>        ("libxext" ,libxext)
>        ("libxft" ,libxft)
>        ("libxinerama" ,libxinerama)
> +      ("pulseaudio", pulseaudio)
>        ("lua" ,lua)
>        ("ncurses" ,ncurses)
>        ("curl" ,curl)))

I guess any hope of alphabetical ordering was lost long ago.

The change looks fine to me, but could you try fixing the text 
encoding?

Thanks!

T G-R  

From ddd14f92faa6298f93ded11ff1f96b34f847a549 Mon Sep 17 00:00:00 2001
From: Vasile Dumitrascu <[email-masked]>
Date: Fri, 27 Sep 2019 22:32:05 +0200
Subject: [PATCH] gnu: conky: Activate Pulseaudio support.

* gnu/packages/conky.scm (conky):
  [inputs] Add pulseaudio.
---
 gnu/packages/conky.scm | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/conky.scm b/gnu/packages/conky.scm
index 681feb6e43..046d132a9b 100644
--- a/gnu/packages/conky.scm
+++ b/gnu/packages/conky.scm
@@ -2,6 +2,7 @@
 ;;; Copyright © 2015 Siniša Biđin <[email-masked]>
 ;;; Copyright © 2018, 2019 Tobias Geerinckx-Rice <[email-masked]>
 ;;; Copyright © 2019 Pierre Neidhardt <[email-masked]>
+;;; Copyright © 2019 Vasile Dumitrascu <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -31,6 +32,7 @@
   #:use-module (gnu packages lua)
   #:use-module (gnu packages ncurses)
   #:use-module (gnu packages pkg-config)
+  #:use-module (gnu packages pulseaudio)
   #:use-module (gnu packages xorg))
 
 (define-public conky
@@ -51,7 +53,8 @@
     (arguments
      `(#:tests? #f                      ; there are no tests
        #:configure-flags
-       (list "-DRELEASE=true")
+       (list "-DRELEASE=true"
+             "-DBUILD_PULSEAUDIO=ON")
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'add-freetype-to-search-path
@@ -76,6 +79,7 @@
        ("libxext" ,libxext)
        ("libxft" ,libxft)
        ("libxinerama" ,libxinerama)
+       ("pulseaudio", pulseaudio)
        ("lua" ,lua)
        ("ncurses" ,ncurses)
        ("curl" ,curl)))
-- 
2.23.0